//
//  ActivityGridCell.m
//  IQMobile
//
//  Created by Ali Raza on 28/01/2019.
//  Copyright © 2019 Sigmatec. All rights reserved.
//

#import "ActivityGridCell.h"

@implementation ActivityGridCell

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

-(id)init
{
    self = [super init];
    
    if(self )
    {
        
        
        self.textLabel.textColor        = [UIColor blackColor];
        self.textLabel.lineBreakMode    = NSLineBreakByClipping;
        [self.textLabel                 removeFromSuperview];
        [self addSubview                : self.textLabel];
        
        _lblField                     = [[UILabel alloc]init];
        _lblField.textAlignment       = NSTextAlignmentLeft;
        _lblField.font                   = [UIFont fontWithName:@"Helvetica" size:15];
        _lblField.text                = @"";
        _lblField.backgroundColor     = [UIColor clearColor];
        _lblField.textColor           = [UIColor darkGrayColor];
        _lblField.hidden              = YES;
        _lblField.tag                 = 1;
        _lblField.numberOfLines       = 2;
        [self addSubview :_lblField];
        
    }
    
    return self;
}

-(void)cellAttached
{
    [super     cellAttached];
    
    _lblField.hidden  = NO;
    
    
}


-(void)setupSize:(CGSize)size {
    
    _lblField.frame = CGRectMake(8 , 0, size.width - 10, size.height);
    
}

@end
